   integer(kind=selected_int_kind(2)) buf(17000), b2
   integer ios
   open (10, file='a.txt', access='stream', status='old', iostat=ios)
   print *, 'Open file,   ios = ', ios
   read (10, pos=1, iostat=ios) buf
   print *, 'First read,  ios = ', ios
   read (10, pos=17000, iostat=ios) b2
   print *, 'Second read, ios = ', ios
   end
